com.amazonaws.services.cloudfront

## Class CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair

- java.lang.Object
- - com.amazonaws.services.cloudfront.CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair

All Implemented Interfaces:
  Map.Entry<String,String>

Enclosing class:
  CloudFrontCookieSigner.SignedCookies

    protected static class CloudFrontCookieSigner.SignedCookies.CookieKeyValuePair
    extends Object
    implements Map.Entry<String,String>

### Constructor Summary

Constructors
Constructor and Description
`CookieKeyValuePair(String key, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getKey()`
`String` `getValue()`
`String` `setValue(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Map.Entry

`comparingByKey, comparingByKey, comparingByValue, comparingByValue, equals, hashCode`

### Constructor Detail

#### CookieKeyValuePair

    public CookieKeyValuePair(String key,
                              String value)

### Method Detail

#### getKey

    public String getKey()

Specified by:
  `getKey` in interface `Map.Entry<String,String>`

#### getValue

    public String getValue()

Specified by:
  `getValue` in interface `Map.Entry<String,String>`

#### setValue

    public String setValue(String value)

Specified by:
  `setValue` in interface `Map.Entry<String,String>`